<?php
defined ('_JEXEC') or die();

/**
 * @author Valérie Isaksen
 * @version $Id$
 * @package VirtueMart
 * @subpackage payment
 * @copyright Copyright (C) 2004-Copyright (C) 2004-2015 Virtuemart Team. All rights reserved.   - All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See /administrator/components/com_virtuemart/COPYRIGHT.php for copyright notices and details.
 *
 * http://virtuemart.net
 */

?>
<div class="post_payment_payment_name" style="width: 100%">
	<span class="post_payment_payment_name_title"><?php echo vmText::_ ('VMPAYMENT_STANDARD_PAYMENT_INFO'); ?> </span>
	<?php echo  $viewData["payment_name"]; ?>
</div>

<div class="post_payment_order_number" style="width: 100%">
	<span class="post_payment_order_number_title"><?php echo vmText::_ ('COM_VIRTUEMART_ORDER_NUMBER'); ?> </span>
	<?php echo  $viewData["order_number"]; ?>
</div>

<div class="post_payment_order_total" style="width: 100%">
	<span class="post_payment_order_total_title"><?php echo vmText::_ ('COM_VIRTUEMART_ORDER_PRINT_TOTAL'); ?> </span>
	<?php echo  $viewData['displayTotalInPaymentCurrency']; ?>
</div>

<form class="form-validate" action="<?= $viewData['payment_action'] ?>" method="post" name="vm_payanyway_form" >
	<?php foreach ($viewData['params'] as $name => $value):?>
		<input type="hidden" name="<?= $name ?>" value="<?= htmlspecialchars($value) ?>" />
	<?php endforeach ?>

	<?php if($viewData['params']['payment_method'] == 'post'): ?>
		<table><tr>
				<td><label><?= vmText::_('VMPAYMENT_PAYANYWAY_POST_SENDER_INDEX'); ?></label></td><td><input class="required" type="text" name="additionalParameters.mailofrussiaSenderIndex" value=""></td>
			</tr></tr>
				<td><label><?= vmText::_('VMPAYMENT_PAYANYWAY_POST_SENDER_REGION'); ?></label></td><td><input class="required" type="text" name="additionalParameters.mailofrussiaSenderRegion" value=""></td>
			</tr></tr>
				<td><label><?= vmText::_('VMPAYMENT_PAYANYWAY_POST_SENDER_ADDRESS'); ?></label></td><td><input class="required" type="text" name="additionalParameters.mailofrussiaSenderAddress" value=""></td>
			</tr></tr>
				<td><label><?= vmText::_('VMPAYMENT_PAYANYWAY_POST_SENDER_NAME'); ?></label></td><td><input class="required" type="text" name="additionalParameters.mailofrussiaSenderName" value=""></td>
		</tr></table>
	<?php elseif($viewData['params']['payment_method'] == 'moneymail'): ?>
		<table><tr>
			<td><label><?= vmText::_('VMPAYMENT_PAYANYWAY_MONEYMAIL_BUYER_EMAIL')?></label></td><td><input class="required validate-email" type="text" name="additionalParameters.buyerEmail" value=""></td>';
		</tr></table>
	<?php elseif($viewData['params']['payment_method'] == 'dengimail'): ?>
		<table><tr>
			<td><label><?= vmText::_('VMPAYMENT_PAYANYWAY_DENGIMAIL_BUYER_EMAIL')?></label></td><td><input class="required validate-email" type="text" name="additionalParameters.dmrBuyerEmail" value=""></td>';
		</tr></table>
	<?php elseif($viewData['params']['payment_method'] == 'euroset'): ?>
		<table><tr>
			<td><label><?= vmText::_('VMPAYMENT_PAYANYWAY_EUROSET_RAPIDA_PHONE')?></label></td><td><input class="required rapida-phone" type="text" name="additionalParameters.rapidaPhone" value=""></td>';
		</tr></table>
	<?php elseif($viewData['params']['payment_method'] == 'webmoney'): ?>
		<table><tr>
				<td><label><?= vmText::_('VMPAYMENT_PAYANYWAY_WEBMONEY_ACCOUNTID')?></label></td>
				<td><select name="paymentSystem.accountId">
						<option value="2">WMR</option>
						<option value="3">WMZ</option>
						<option value="4">WME</option>
				</select></td>';
			</tr></table>
	<?php elseif($viewData['params']['payment_method'] == 'sms'): ?>
		<table><tr>
				<td><label><?= vmText::_('VMPAYMENT_PAYANYWAY_SMS_PHONE_NUMBER')?></label></td><td><input class="required sms-phone" type="text" name="additionalParameters.phone" value=""></td>';
			</tr></table>
		<?= vmText::_('VMPAYMENT_PAYANYWAY_SMS_DESCRIPTION')?>
	<?php elseif($viewData['params']['payment_method'] == 'qiwi'): ?>
		<table><tr>';
			<td><label for="additionalParameters_qiwiUser"><?= vmText::_('VMPAYMENT_PAYANYWAY_QIWI_USER') ?></label></td><td><input class="required qiwi-phone" type="text" name="additionalParameters.qiwiUser" value="" id="additionalParameters_qiwiUser"><em><?= vmText::_('VMPAYMENT_PAYANYWAY_QIWI_USER_EXPLAIN')?><em></td>';
			</tr><tr>';
			<td><label for="additionalParameters_qiwiComment"><?= vmText::_('VMPAYMENT_PAYANYWAY_QIWI_COMMENT') ?></label></td><td><input type="text" name="additionalParameters.qiwiComment" value="" id="additionalParameters_qiwiComment" /></td>';
		</tr></table>
	<?php elseif($viewData['params']['payment_method'] == 'alfaclick'): ?>
		<table><tr>';
				<td><label for="additionalParameters_qiwiUser"><?= vmText::_('VMPAYMENT_PAYANYWAY_ALFA_ID_CLIENT') ?></label></td><td><input class="required" type="text" name="additionalParameters.alfaIdClient" value="" /></td>';
			</tr><tr>';
				<td><label for="additionalParameters_qiwiComment"><?= vmText::_('VMPAYMENT_PAYANYWAY_ALFA_PAYMENT_PURPOSE') ?></label></td><td><input type="text" name="additionalParameters.alfaPaymentPurpose" value="PayAnyWay invoice" /></td>';
			</tr></table>
	<?php endif; ?>

	<a class="vm-button-correct" href="#" onclick="document.vm_payanyway_form.submit(); return false;"><?php echo vmText::_('VMPAYMENT_PAYANYWAY_PROCEED_PAY'); ?></a>
</form>

<?php if (!in_array($viewData['params']['payment_method'], array('post', 'moneymail', 'euroset', 'webmoney', 'sms', 'qiwi', 'dengimail', 'alfaclick'))): ?>
<script type="text/javascript">
//	document.vm_payanyway_form.submit();
</script>
<?php endif ?>
<!--<a class="vm-button-correct" href="--><?php //echo JRoute::_('index.php?option=com_virtuemart&view=orders&layout=details&order_number='.$viewData["order_number"].'&order_pass='.$viewData["order_pass"], false)?><!--">--><?php //echo vmText::_('COM_VIRTUEMART_ORDER_VIEW_ORDER'); ?><!--</a>-->






